import bb.cascades 1.2

Sheet {
    id: helpSheet
    Page {        
        
        Container {
            layout: DockLayout {}
            ScrollView {
                Container {
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
                    
                    Header {
                        title: qsTr("Help")
                    }
                    Label {
                        text: qsTr("To access settings and help, swipe down while inside the main application.")
                        multiline: true
                    }                   
                    Header {
                        title: qsTr("Reporting Issues")
                    }                
                    Label {
                        text: qsTr("The quickest way to report issues is to press the three dots on the bottom right corner and Report a Bug (also while in the main application).")
                        multiline: true
                    }
                    Header {
                        title: qsTr("Thank You")
                    }                
                    Label {
                        text: qsTr("Thank you for your support!  For more information on my applications and games, or to find more information in general, you are welcome to come visit me anytime at <a href='http://www.filearchivehaven.com'>FileArchiveHaven</a>.")
                        multiline: true
                        textFormat: TextFormat.Html
                    }
                }
            }            
            Container {
                
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Bottom   
                
                Button {
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Bottom             
                    text: qsTr("Close") + Retranslate.onLocaleOrLanguageChanged
                    
                    onClicked: {
                        helpSheet.close()
                    }
                }
            }
        }
    }
}
