import bb.cascades 1.2

Container {

    property alias text: labelID.text
    property alias state: toggleID.checked
    signal selectionChanged(bool newState)
    
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight                    
    }      
    
    Label {
        layoutProperties: StackLayoutProperties {
            spaceQuota: 4
        }     
        id: labelID
        text: "Option"               
        verticalAlignment: VerticalAlignment.Center
    }
    ToggleButton {
        layoutProperties: StackLayoutProperties {
            spaceQuota: 2
        }     
        id:  toggleID
        verticalAlignment: VerticalAlignment.Center
        onCheckedChanged: {
            selectionChanged(toggleID.checked);
        }
    }
}
